<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plugin', language 'sv', version '2.2'.
 *
 * @package     plugin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['availability'] = 'Tillgänglighet';
$string['displayname'] = 'Plugin namn';
$string['moodleversion'] = 'Moodle {$a}';
$string['nonehighlightedinfo'] = 'Visa listan över alla installerade plugins ändå';
$string['noneinstalled'] = 'Inga plugin av denna typ finns installerade';
$string['otherplugin'] = '{$a->component}';
$string['otherpluginversion'] = '{$a->component} ({$a->version})';
$string['plugindisable'] = 'Avaktivera';
$string['plugindisabled'] = 'Avaktivera';
$string['pluginenable'] = 'Aktivera';
$string['pluginenabled'] = 'Aktivera';
$string['requiredby'] = 'Krävs av: {$a}';
$string['requires'] = 'Kräver';
$string['rootdir'] = 'Katalog';
$string['settings'] = 'Inställningar';
$string['showall'] = 'Ladda om och visa alla plugins';
$string['somehighlightedinfo'] = 'Visa hela listan över installerade plugins';
$string['source'] = 'Källa';
$string['sourcestd'] = 'Standard';
$string['status'] = 'Status';
$string['status_delete'] = 'Kommer att tas bort';
$string['status_downgrade'] = 'Högre version installerad redan!';
$string['status_missing'] = 'Saknas från skivan';
$string['status_new'] = 'Kommer att installeras';
$string['status_nodb'] = 'Ingen databas';
$string['status_upgrade'] = 'Kommer att uppgraderas';
$string['systemname'] = 'Identifierare';
$string['type_auth'] = 'Autentiseringsmetod';
$string['type_auth_plural'] = 'Plugin-program för autenticering';
$string['type_block'] = 'Block';
$string['type_block_plural'] = 'Block';
$string['type_coursereport'] = 'Kursrapport';
$string['type_coursereport_plural'] = 'Kursrapporter';
$string['type_editor'] = 'Redigerare';
$string['type_editor_plural'] = 'Redigerare';
$string['type_enrol'] = 'Registreringsmetod';
$string['type_enrol_plural'] = 'Registreringsmetod';
$string['type_filter'] = 'Textfilter';
$string['type_filter_plural'] = 'Textfilter';
$string['type_format'] = 'Kursformat';
$string['type_format_plural'] = 'Kursformat';
$string['type_gradeexport'] = 'Metod för betygsexport';
$string['type_gradeexport_plural'] = 'Metoder för betygsexport';
$string['type_gradeimport'] = 'Metod för betygsimport';
$string['type_gradeimport_plural'] = 'Metoder för betygsimport';
$string['type_gradereport'] = 'Betygsboksrapport';
$string['type_gradereport_plural'] = 'Betygsboksrapporter';
$string['type_gradingform'] = 'Avancerad betygssättningsmetod';
$string['type_gradingform_plural'] = 'Avancerade betygssättningsmetoder';
$string['type_local'] = 'Lokal plugin';
$string['type_local_plural'] = 'Lokal plugins';
$string['type_mnetservice'] = 'MNET tjänst';
$string['type_mnetservice_plural'] = 'MNET tjänster';
$string['type_mod'] = 'Aktivitetsmodul';
$string['type_mod_plural'] = 'Aktivitetsmoduler';
$string['type_plagiarism'] = 'Åtgärder för att förhindra fusk';
$string['type_portfolio'] = 'Portfolio';
$string['type_portfolio_plural'] = 'Portfolio';
$string['type_profilefield'] = 'Profilfälttyp';
$string['type_profilefield_plural'] = 'Profilfälttyper';
$string['type_qbehaviour'] = 'Frågebeteende';
$string['type_qbehaviour_plural'] = 'Frågebeteenden';
$string['type_qformat'] = 'Frågeimport/-export format';
$string['type_qformat_plural'] = 'Frågeimport/-export format';
$string['type_qtype'] = 'Frågetyp';
$string['type_qtype_plural'] = 'Frågetyper';
$string['type_report'] = 'Site rapport';
$string['type_report_plural'] = 'Rapporter';
$string['type_repository'] = 'Lagringstjänst';
$string['type_repository_plural'] = 'Arkiv';
$string['type_theme'] = 'Tema';
$string['type_theme_plural'] = 'Teman';
$string['type_tool'] = 'Admin-verktyg';
$string['type_tool_plural'] = 'Admin-verktyget';
$string['type_webservice'] = 'Webbtjänst protokoll';
$string['type_webservice_plural'] = 'Webbtjänst protokoll';
$string['uninstall'] = 'Avinstallera';
$string['version'] = 'Version';
$string['versiondb'] = 'Aktuell version';
$string['versiondisk'] = 'Ny version';
