<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'sv', version '2.2'.
 *
 * @package     webservice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessexception'] = 'Åtkomstkontrollfel';
$string['actwebserviceshhdr'] = 'Aktiva webbtjänstprotokoll';
$string['addaservice'] = 'Spara';
$string['addcapabilitytousers'] = 'Kontrollera användares förmågor';
$string['addcapabilitytousersdescription'] = 'Användare bör ha två förmågor - webservice:createtoken och en förmåga som matchar protokollet som används, till exempel webservice/rest:use, webservice/soap:use. För att åstadkomma detta, skapa en roll för webbtjänster med den lämpliga förmågan tillåten och tilldela den till användaren för webbtjänster som en systemroll.';
$string['addfunction'] = 'Lägg till funktion';
$string['addfunctionhelp'] = 'Välj funktion som skall läggas till tjänsten.';
$string['addfunctions'] = 'Lägg till funktioner';
$string['addfunctionsdescription'] = 'Välj nödvändiga funktioner för den nyskapade tjänsten.';
$string['addrequiredcapability'] = 'Tilldela/ta bort nödvändig kapacitet';
$string['addservice'] = 'Lägg till en ny tjänst: {$a->name} (ID: {$a->id})';
$string['addservicefunction'] = 'Lägg till funktioner till tjänsten "{$a}"';
$string['allusers'] = 'Alla användare';
$string['amftestclient'] = 'AMF testklient';
$string['apiexplorer'] = 'API explorer';
$string['apiexplorernotavalaible'] = 'API explorer finns inte ännu.';
$string['arguments'] = 'Argument';
$string['authmethod'] = 'Autentiseringsmetod';
$string['cannotcreatetoken'] = 'Ingen behörighet att skapa webbtjänst-token för tjänsten {$a}.';
$string['cannotgetcoursecontents'] = 'Kan inte hämta kursens innehåll';
$string['checkusercapability'] = 'Kontrollera användarförmåga';
$string['checkusercapabilitydescription'] = 'Användaren bör ha lämpliga funktionsbehörigheter för de protokoll som används, till exempel <code>webservice/rest:use</code> eller <code>webservice/soap:use</code>. För att uppnå detta, skapa en roll för webbtjänster och tillåt lämpliga funktionsbehörigheter enligt ovan. Tilldela användaren av webbtjänsterna denna roll som en systemroll.';
$string['configwebserviceplugins'] = 'Av säkerhetsskäl bör endast protokoll som är i bruk aktiveras.';
$string['context'] = 'Sammanhang';
$string['createservicedescription'] = 'En tjänst är en uppsättning webbtjänstfunktioner. Du kommer tillåta användaren att komma åt en ny tjänst. På sidan <strong>Lägg till tjänst</strong> kryssa i alternativen \'Aktivera\' och \'Auktoriserade användare\'. Välj \'Ingen förmåga krävs\'.';
$string['createserviceforusersdescription'] = 'En tjänst är en uppsättning webbtjänstfunktioner. Du kommer tillåta användare att komma åt en ny tjänst. På sidan <strong>Lägg till tjänst</strong> kryssa i alternativen \'Aktivera\' och \'Auktoriserade användare\'. Välj \'Ingen förmåga krävs\'.';
$string['createtoken'] = 'Skapa token';
$string['createtokenforuser'] = 'Skapa en token för en användare';
$string['createtokenforuserauto'] = 'Skapa token för användare automatiskt';
$string['createtokenforuserdescription'] = 'Skapa en token för webbtjänstanvändaren.';
$string['createuser'] = 'Skapa en specifik användare';
$string['createuserdescription'] = 'En webbtjänstanvändare som representerar det system som styr Moodle krävs.';
$string['default'] = 'Standard till "{$a}"';
$string['deleteaservice'] = 'Ta bort tjänsten';
$string['deleteservice'] = 'Ta bort tjänsten: {$a->name} (ID: {$a->id})';
$string['deleteserviceconfirm'] = 'Vid borttagning av en tjänst kommer alla token som är relaterade till tjänsten att tas bort. Vill du verkligen ta bort extern tjänst "{$a}"?';
$string['deletetokenconfirm'] = 'Vill du verkligen ta bort denna webbtjänst token för <strong>{$a->user}</strong> för tjänsten <strong>{$a->service}?</strong>';
$string['disabledwarning'] = 'Alla webbtjänst protokoll är inaktiverade. "Aktivera webbtjänster" inställningen finns under Avancerade funktioner.';
$string['doc'] = 'Dokumentation';
$string['docaccessrefused'] = 'Du får inte se dokumentationen för denna token';
$string['documentation'] = 'webbtjänst dokumentation';
$string['downloadfiles'] = 'Kan ladda ner filer';
$string['downloadfiles_help'] = 'Om aktiverat kan alla användare ladda ned filer med deras säkerhetsnycklar. De är begränsade till att ladda ned de filer på webbplatsen som de har behörighet till.';
$string['editaservice'] = 'Redigera tjänsten';
$string['editservice'] = 'Redigera tjänsten: {$a->name} (ID: {$a->id})';
$string['enabled'] = 'Aktiverad';
$string['enabledocumentation'] = 'Aktivera utvecklardokumentation';
$string['enabledocumentationdescription'] = 'Detaljerad dokumentation för webbtjänster är tillgänglig för aktiverade protokoll.';
$string['enableprotocols'] = 'Aktivera protokoll';
$string['enableprotocolsdescription'] = 'Åtminstone ett protokoll bör aktiveras. Av säkerhetsskäl bör endast protokoll som skall användas aktiveras.';
$string['enablews'] = 'Aktivera webbtjänster';
$string['enablewsdescription'] = 'Webbtjänster måste aktiveras i Avancerade funktioner.';
$string['entertoken'] = 'Ange en säkerhetsnyckel/token:';
$string['error'] = 'Fel: {$a}';
$string['errorcatcontextnotvalid'] = 'Du kan inte exekvera funktioner i kategorikontextet (kategori-id: {$a->catid}). Felmeddelande: {$a->message}.';
$string['errorcodes'] = 'Felmeddelande';
$string['errorcoursecontextnotvalid'] = 'Du kan inte exekvera funktioner i kurskontextet (kurs-id: {$a->courseid}). Felmeddelande: {$a->message}.';
$string['errorinvalidparam'] = 'Parametern "{$a}" är ogiltig.';
$string['errornotemptydefaultparamarray'] = 'Parametern för webbtjänstbeskrivningen med namnet {$a} är en enkel parameter eller en matrisparameter. Standardvärdet kan bara vara tom matris. Kontrollera beskrivningen av webbtjänsten.';
$string['erroroptionalparamarray'] = 'Parametern för webbtjänstbeskrivningen med namnet \'{$a}\' är en enkel parameter eller en matrisparameter. Den kan inte ställas in som <code>VALUE_OPTIONAL</code>. Kontrollera beskrivningen av webbtjänsten.';
$string['execute'] = 'Utför';
$string['executewarnign'] = 'VARNING: Om du klickar på <em>Utför</em> kommer databasen modifieras och dessa ändringar går inte att ångra!';
$string['externalservice'] = 'Extern tjänst';
$string['externalservicefunctions'] = 'Externa tjänstefunktioner';
$string['externalservices'] = 'Externa tjänster';
$string['externalserviceusers'] = 'Externa tjänsteanvändare';
$string['failedtolog'] = 'Misslyckades att logga';
$string['filenameexist'] = 'Filnamnet finns redan: {$a}';
$string['forbiddenwsuser'] = 'Kan inte skapa token för obekräftad, borttagen, avstängd eller gästanvändare.';
$string['function'] = 'Funktion';
$string['functions'] = 'Funktion';
$string['generalstructure'] = 'Generell struktur';
$string['information'] = 'Information';
$string['installexistingserviceshortnameerror'] = 'Det finns redan en webbtjänst med kortnamnet "{$a}". Kan inte installera/uppdatera en annan webbtjänst med detta kortnamn.';
$string['invalidextparam'] = 'Ogiltig extern API-parameter: {$a}';
$string['invalidextresponse'] = 'Ogiltigt externt API-svar: {$a}';
$string['invalidiptoken'] = 'Ogiltig token - ditt IP stöds inte';
$string['invalidtimedtoken'] = 'Ogiltig token - den har utgått';
$string['invalidtoken'] = 'Ogiltig token - token hittades inte';
$string['iprestriction'] = 'IP restriktion';
$string['key'] = 'Nyckel/Kod';
$string['keyshelp'] = 'Nycklarna används för att ge åtkomst till ditt Moodlekonto från externa applikationer.';
$string['manageprotocols'] = 'Hantera protokoll';
$string['managetokens'] = 'Hantera token';
$string['missingcaps'] = 'Saknade funktionsbehörigheter';
$string['missingcaps_help'] = 'Lista med för tjänsten nödvändiga funktionsbehörigheter som den valda användaren för närvarande inte har. De saknade funktionsbehörigheterna måste läggas till i användarens roll för att tjänsten ska gå att använda.';
$string['missingpassword'] = 'Lösenord saknas';
$string['missingrequiredcapability'] = 'Förmågan {$a} krävs.';
$string['missingusername'] = 'Användarnamn saknas';
$string['missingversionfile'] = 'Programmeringsfel: Filen <code>version.php</code> saknas för {$a}-komponenten.';
$string['mobilewsdisabled'] = 'Avaktiverat';
$string['mobilewsenabled'] = 'Aktiverat';
$string['nofunctions'] = 'Denna tjänst exponerar inga funktioner.';
$string['norequiredcapability'] = 'Ingen förmåga krävs';
$string['notoken'] = 'Tokenlistan är tom';
$string['onesystemcontrolling'] = 'Tillåt ett externt system att interagera med Moodle';
$string['onesystemcontrollingdescription'] = 'Följande steg hjälper dig att ställa in Moodle-webbtjänsterna så att ett externt system kan interagera med Moodle. Detta inkluderar att ställa in en token-autentiseringsmetod (säkerhetsnyckel).';
$string['operation'] = 'Operation';
$string['optional'] = 'Valfritt';
$string['passwordisexpired'] = 'Lösenordet har gått ut.';
$string['phpparam'] = 'XML-RPC (PHP struktur)';
$string['phpresponse'] = 'XML-RPC (PHP struktur)';
$string['postrestparam'] = 'PHP-kod för REST (POST-begäran)';
$string['potusers'] = 'Inte auktoriserade användare';
$string['potusersmatching'] = 'Icke auktoriserade användare som matchar';
$string['print'] = 'Skriv ut allt';
$string['protocol'] = 'Protokoll';
$string['removefunction'] = 'Ta bort';
$string['removefunctionconfirm'] = 'Vill du verkligen ta bort funktionen "{$a->function}" från tjänsten "{$a->service}"?';
$string['requireauthentication'] = 'Denna metod kräver autentisering med xxx behörighet.';
$string['required'] = 'Krävs';
$string['requiredcapability'] = 'Förmåga som krävs';
$string['requiredcapability_help'] = 'Om aktiverad kan endast användare med den förmåga som krävs komma åt tjänsten.';
$string['requiredcaps'] = 'Nödvändiga funktionsbehörigheter';
$string['resettokenconfirm'] = 'Vill du verkligen återställa den här webbtjänstnyckeln för <strong>{$a->user}</strong> för tjänsten <strong>{$a->service}</strong>?';
$string['resettokenconfirmsimple'] = 'Vill du verkligen återställa den här nyckeln? Alla sparade länkar som innehåller den gamla nyckeln kommer inte längre fungera.';
$string['response'] = 'Svar';
$string['restcode'] = 'REST';
$string['restexception'] = 'REST';
$string['restoredaccountresetpassword'] = 'Ett återställt konto behöver återställa lösenordet innan ett token kan erhållas.';
$string['restparam'] = 'REST (POST parametrar)';
$string['restrictedusers'] = 'Behöriga användare endast';
$string['restrictedusers_help'] = 'Den här inställningen avgör om alla användare med rättighet att skapa token för webbtjänster kan generera ett token för den här tjänsten via sidan för säkerhetsnycklar, eller om endast behöriga användare kan göra det.';
$string['securitykey'] = 'Säkerhetsnyckel (token)';
$string['securitykeys'] = 'Säkerhetsnycklar';
$string['selectauthorisedusers'] = 'Välj behöriga användare';
$string['selectedcapability'] = 'Vald';
$string['selectedcapabilitydoesntexit'] = 'Den för närvarande inställda förmåga som krävs ({$a}) existerar inte längre. Var god ändra den och spara ändringarna.';
$string['selectservice'] = 'Välj en tjänst';
$string['selectspecificuser'] = 'Välj en specifik användare';
$string['selectspecificuserdescription'] = 'Lägg till webbtjänstanvändaren som en behörig användare.';
$string['service'] = 'Tjänsten';
$string['servicehelpexplanation'] = 'En tjänst är en uppsättning funktioner. En tjänst kan nås av alla användare eller bara specificerade användare.';
$string['servicename'] = 'Tjänstens namn';
$string['servicenotavailable'] = 'Webbtjänst är inte tillgänglig (den finns inte eller är avaktiverad)';
$string['servicesbuiltin'] = 'Inbyggda tjänster';
$string['servicescustom'] = 'Anpassade tjänster';
$string['serviceusers'] = 'Behöriga användare';
$string['serviceusersettings'] = 'Användarinställningar';
$string['serviceusersmatching'] = 'Behöriga användare som matchar';
$string['serviceuserssettings'] = 'Ändra inställningar för behöriga användare';
$string['simpleauthlog'] = 'Enkel autentiseringsinloggning';
$string['step'] = 'Steg';
$string['testclient'] = 'Webbtjänst testklient';
$string['testwithtestclient'] = 'Testa tjänsten';
$string['testwithtestclientdescription'] = 'Simulera extern åtkomst till tjänsten med hjälp av webbtjänsttestklienten. Använd ett aktiverat protokoll med tokenautentisering. <strong>VARNING: Funktionerna som du testar kommer att utföras, så var försiktig med vad du väljer att testa!</strong>';
$string['token'] = 'Token';
$string['tokenauthlog'] = 'Token autentisering';
$string['tokencreatedbyadmin'] = 'Kan endast återställas av Administratören (*)';
$string['tokencreator'] = 'Skapare';
$string['unknownoptionkey'] = 'Okänd nyckel för alternativ ({$a})';
$string['updateusersettings'] = 'Uppdatera';
$string['userasclients'] = 'Användare som klienter med token';
$string['usermissingcaps'] = 'Saknade funktionsbehörigheter: {$a}';
$string['usernameorid'] = 'Användarnamn / Användar-ID';
$string['usernameorid_help'] = 'Ange användarnamn eller ID.';
$string['usernameoridnousererror'] = 'Hittade inga användare med detta användarnamn/användar-id';
$string['usernameoridoccurenceerror'] = 'Fler än en användare med detta användarnamn hittades. Vänligen ange användar-ID istället.';
$string['usernotallowed'] = 'Användaren är inte behörig till den här tjänsten. Du behöver tilldela behörighet till användaren på {$a}s administration av behöriga användare.';
$string['usersettingssaved'] = 'Inställningar sparade';
$string['validuntil'] = 'Giltig till';
$string['validuntil_help'] = 'Om angivet kommer den här tjänsten inaktiveras för den här användaren efter detta datum.';
$string['webservice'] = 'Webbtjänst';
$string['webservices'] = 'Webbtjänst';
$string['webservicesoverview'] = 'Översikt';
$string['webservicetokens'] = 'Webbtjänst token';
$string['wrongusernamepassword'] = 'Fel användarnamn eller lösenord';
$string['wsaccessuserdeleted'] = 'Nekad webbtjänståtkomst för borttaget användarnamn {$a}';
$string['wsaccessuserexpired'] = 'Nekad webbtjänståtkomst för användare med förfallet lösenord: {$a}';
$string['wsaccessusernologin'] = 'Nekad webbtjänståtkomst för användare som använt inloggningsmetoden "Ingen inloggning": {$a}';
$string['wsaccessusersuspended'] = 'Nekad webbtjänståtkomst för avstängd användare: {$a}';
$string['wsaccessuserunconfirmed'] = 'Nekad webbtjänståtkomst för obekräftad användare: {$a}';
$string['wsclientdoc'] = 'Moodle webbtjänst klientdokumentation';
$string['wsdocapi'] = 'API-dokumentation';
$string['wsdocumentation'] = 'Webbtjänst dokumentation';
$string['wsdocumentationdisable'] = 'Webbtjänst dokumentation är inaktiverad.';
$string['wsdocumentationintro'] = 'Innan du skapar en klient är det rekommenderat att du först läser igenom <em>"{$a->doclink}"</em>.';
$string['wsdocumentationlogin'] = 'eller ange webbtjänstanvändarnamn och -lösenord:';
$string['wspassword'] = 'Webbtjänst lösenord';
$string['wsusername'] = 'Webbtjänst användarnamn';
